mscorlib 2.0.0.0 4.0.0.0 System.Object System.Runtime.InteropServices.ComVisible(true)

This permission is intended to enable users to easily manage key containers when either a small number of keys is involved, or access is to be granted to only some keys.

Specifies access rights for specific key containers. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor allows access rights to be assigned for specific key containers identified in a object.

  Initializes a new instance of the class, using the specified cryptographic service provider (CSP) parameters and access permissions.

  A object that contains the cryptographic service provider (CSP) parameters.
  A bitwise combination of the values.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor allows you to specify access rights for specific key containers identified by name; use an asterisk ("*") to represent all the key containers.

  Initializes a new instance of the class, using the specified key container name and access permissions.

  The name of the key container.
  A bitwise combination of the values.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor allows access rights to be assigned for specific key containers. A or value of –1 represents all key specifications or provider types. A , , or of "*" represents all key stores, providers, or key containers. A or that is null represents all providers or key containers.

  Initializes a new instance of the class with the specified property values.

  The name of the key store.
  The name of the provider.
  The type code for the provider. See the property for values.
  The name of the key container.
  The key specification. See the property for values.
  A bitwise combination of the values.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method compares the properties of the two objects to determine if they are equal.

  Determines whether the specified object is equal to the current instance.

  true if the specified is equal to the current object; otherwise, false.

  The object to compare with the currentinstance.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags To be added.

  Many of these flags are powerful and permit access to key containers that should only be granted to highly trusted code.

  The most powerful of the flags are , , , , , , and . For specific threats posed by the use of these flags, see individual flag descriptions.

  Gets or sets the key container permissions.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  Serves as a hash function for the , suitable for use in hashing algorithms and data structures such as a hash table.

  Gets a hash code for the current instance that is suitable for use in hashing algorithms and data structures such as a hash table.

  A hash code for the current object.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Use a value of "*" to apply the access entry to all key containers within the specified provider name and provider type.

  Gets or sets the key container name.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Valid values for this property are AT_KEYEXCHANGE (1) and AT_SIGNATURE (2). The default value is –1, representing all possible values.

  Gets or sets the key specification.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Valid values are "User", "Machine", or "*". If null is specified, the value is set to "*".

  Gets or sets the name of the key store.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  An example of a provider name is "Microsoft Enhanced Cryptographic Provider". If null is specified, the enhanced cryptographic provider name is used.

  Gets or sets the provider name.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The default value is –1, representing all possible values.

  The Wincrypt.h header file defines the following values:

  #define PROV_RSA_FULL 1

  #define PROV_RSA_SIG 2

  #define PROV_DSS 3

  #define PROV_FORTEZZA 4

  #define PROV_MS_EXCHANGE 5

  #define PROV_SSL 6

  #define PROV_RSA_SCHANNEL 12

  #define PROV_DSS_DH 13

  #define PROV_EC_ECDSA_SIG 14

  #define PROV_EC_ECNRA_SIG 15

  #define PROV_EC_ECDSA_FULL 16

  #define PROV_EC_ECNRA_FULL 17

  #define PROV_DH_SCHANNEL 18

  #define PROV_SPYRUS_LYNKS 20

  #define PROV_RNG 21

  #define PROV_INTEL_SEC 22

  #define PROV_REPLACE_OWF 23

  #define PROV_RSA_AES 24

  Gets or sets the provider type.